import request from '@/utils/request'

// 查询直播间敏感词过滤列表
export function listWords(query) {
  return request({
    url: '/live/words/list',
    method: 'get',
    params: query
  })
}

// 查询直播间敏感词过滤详细
export function getWords(wordId) {
  return request({
    url: '/live/words/' + wordId,
    method: 'get'
  })
}

// 新增直播间敏感词过滤
export function addWords(data) {
  return request({
    url: '/live/words',
    method: 'post',
    data: data
  })
}

// 修改直播间敏感词过滤
export function updateWords(data) {
  return request({
    url: '/live/words',
    method: 'put',
    data: data
  })
}

// 删除直播间敏感词过滤
export function delWords(wordId) {
  return request({
    url: '/live/words/' + wordId,
    method: 'delete'
  })
}

// 导出直播间敏感词过滤
export function exportWords(query) {
  return request({
    url: '/live/words/export',
    method: 'get',
    params: query
  })
}
